sigmlgen.playerctrl

## Class AmbientMotionFlags

- java.lang.Object
- - sigmlgen.playerctrl.AmbientMotionFlags

-     public class AmbientMotionFlags
      extends java.lang.Object

  A record of the ambient motion settings defined within a SiGML `<player_settings>` element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbientMotionFlags(boolean bdyon, boolean hdon, boolean blnkon)` Constructs a new set of ambient motion flags with the given values for body, head, and blink ambient motions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blinkAmbientIsOn()` Returns the ambient motion setting for the blink.
    `boolean` | `bodyAmbientIsOn()` Returns the ambient motion setting for the body.
    `boolean` | `headAmbientIsOn()` Returns the ambient motion setting for the head.
    `java.lang.String` | `toString()` Returns a textual representation for this set of ambient motion flags.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AmbientMotionFlags

          public AmbientMotionFlags(boolean bdyon,
                                    boolean hdon,
                                    boolean blnkon)

      Constructs a new set of ambient motion flags with the given values for body, head, and blink ambient motions.

  - ### Method Detail

    - #### bodyAmbientIsOn

          public boolean bodyAmbientIsOn()

      Returns the ambient motion setting for the body.

    - #### headAmbientIsOn

          public boolean headAmbientIsOn()

      Returns the ambient motion setting for the head.

    - #### blinkAmbientIsOn

          public boolean blinkAmbientIsOn()

      Returns the ambient motion setting for the blink.

    - #### toString

          public java.lang.String toString()

      Returns a textual representation for this set of ambient motion flags.
      Overrides:
        `toString` in class `java.lang.Object`